port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090
proxies:
  - {name: 1.--_RO_罗马尼亚, server: 194.5.215.59, port: 8080, type: ss, cipher: rc4-md5, password: 14fFPrbezE3HDZzsMOr6}
  - {name: 2.--_CH_瑞士, server: 84.17.53.160, port: 989, type: ss, cipher: aes-256-cfb, password: f8f7aCzcPKbsF8p3}
  - {name: 3.--_UA_乌克兰, server: 95.164.36.59, port: 8388, type: ss, cipher: chacha20-ietf-poly1305, password: ZmQwZjFk}
  - {name: 4.--_RU_俄罗斯_1, server: 185.231.233.173, port: 989, type: ss, cipher: aes-256-cfb, password: f8f7aCzcPKbsF8p3}
  - {name: 5.--_UA_乌克兰->🇷🇺_RU_俄罗斯, server: at1.opensocks.site, port: 8388, type: ss, cipher: chacha20-ietf-poly1305, password: ZmQwZjFk}
  - {name: 6.--_乌克兰_2, server: 95.164.44.221, port: 8388, type: ss, cipher: chacha20-ietf-poly1305, password: ZDAxZDE2}
  - {name: 7.--_RU_俄罗斯_2, server: 89.221.224.166, port: 8388, type: ss, cipher: chacha20-ietf-poly1305, password: MDZhNTAz}
  - {name: 8.--_美国_2, server: 74.226.136.204, port: 443, type: trojan, password: 243eab52-9ac1-405c-887c-eb112c0985b8, skip-cert-verify: true}
  - {name: 9.--_美国_4, server: sg02.trojanyyds.xyz, port: 443, type: trojan, password: 243eab52-9ac1-405c-887c-eb112c0985b8, sni: sg02.trojanyyds.xyz, skip-cert-verify: true}
  - {name: 10.--_比利时_1, server: tw01.trojanyyds.xyz, port: 443, type: trojan, password: 243eab52-9ac1-405c-887c-eb112c0985b8, sni: tw01.trojanyyds.xyz, skip-cert-verify: true}
  - {name: 11.--US美国(mibei77.com 米贝节点分享) 16, server: s4.cn-db.top, port: 2086, type: vmess, uuid: 4b36625c-b9d9-3ea6-aed5-86d62c70e16d, alterId: 0, cipher: auto, tls: false, network: ws, ws-opts: {path: /dabai.in172.67.103.33, headers: {Host: 100-59-133-139.s4.cn-db.top}}}
  - {name: 12.--_GB_英国, server: 62.100.205.48, port: 989, type: ss, cipher: aes-256-cfb, password: f8f7aCzcPKbsF8p3}
  - {name: 13.--_IT_意大利, server: 37.143.129.230, port: 989, type: ss, cipher: aes-256-cfb, password: f8f7aCzcPKbsF8p3}
  - {name: 14.--_SK_斯洛伐克->🇺🇸_US_美国, server: 156.146.40.194, port: 989, type: ss, cipher: aes-256-cfb, password: f8f7aCzcPKbsF8p3}
proxy-groups:
  - name: 手动切换
    type: select
    proxies:
      - 1.--_RO_罗马尼亚
      - 2.--_CH_瑞士
      - 3.--_UA_乌克兰
      - 4.--_RU_俄罗斯_1
      - 5.--_UA_乌克兰->🇷🇺_RU_俄罗斯
      - 6.--_乌克兰_2
      - 7.--_RU_俄罗斯_2
      - 8.--_美国_2
      - 9.--_美国_4
      - 10.--_比利时_1
      - 11.--US美国(mibei77.com 米贝节点分享) 16
      - 12.--_GB_英国
      - 13.--_IT_意大利
      - 14.--_SK_斯洛伐克->🇺🇸_US_美国
  - name: 自动选择
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--_RO_罗马尼亚
      - 2.--_CH_瑞士
      - 3.--_UA_乌克兰
      - 4.--_RU_俄罗斯_1
      - 5.--_UA_乌克兰->🇷🇺_RU_俄罗斯
      - 6.--_乌克兰_2
      - 7.--_RU_俄罗斯_2
      - 8.--_美国_2
      - 9.--_美国_4
      - 10.--_比利时_1
      - 11.--US美国(mibei77.com 米贝节点分享) 16
      - 12.--_GB_英国
      - 13.--_IT_意大利
      - 14.--_SK_斯洛伐克->🇺🇸_US_美国
  - name: 负载均衡
    type: load-balance
    strategy: consistent-hashing
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - 1.--_RO_罗马尼亚
      - 2.--_CH_瑞士
      - 3.--_UA_乌克兰
      - 4.--_RU_俄罗斯_1
      - 5.--_UA_乌克兰->🇷🇺_RU_俄罗斯
      - 6.--_乌克兰_2
      - 7.--_RU_俄罗斯_2
      - 8.--_美国_2
      - 9.--_美国_4
      - 10.--_比利时_1
      - 11.--US美国(mibei77.com 米贝节点分享) 16
      - 12.--_GB_英国
      - 13.--_IT_意大利
      - 14.--_SK_斯洛伐克->🇺🇸_US_美国
  - name: 中国节点
    type: select
    proxies:
      - DIRECT
  - name: 日本节点
    type: select
    proxies:
      - DIRECT
  - name: 新加坡节点
    type: select
    proxies:
      - DIRECT
  - name: 美国节点
    type: url-test
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 150
    proxies:
      - 8.--_美国_2
      - 9.--_美国_4
      - 11.--US美国(mibei77.com 米贝节点分享) 16
      - 14.--_SK_斯洛伐克->🇺🇸_US_美国
rules:
  - IP-CIDR,194.5.215.59/32,DIRECT,no-resolve
  - IP-CIDR,84.17.53.160/32,DIRECT,no-resolve
  - IP-CIDR,95.164.36.59/32,DIRECT,no-resolve
  - IP-CIDR,185.231.233.173/32,DIRECT,no-resolve
  - DOMAIN,at1.opensocks.site,DIRECT
  - IP-CIDR,95.164.44.221/32,DIRECT,no-resolve
  - IP-CIDR,89.221.224.166/32,DIRECT,no-resolve
  - IP-CIDR,74.226.136.204/32,DIRECT,no-resolve
  - DOMAIN,sg02.trojanyyds.xyz,DIRECT
  - DOMAIN,tw01.trojanyyds.xyz,DIRECT
  - DOMAIN,s4.cn-db.top,DIRECT
  - IP-CIDR,62.100.205.48/32,DIRECT,no-resolve
  - IP-CIDR,37.143.129.230/32,DIRECT,no-resolve
  - IP-CIDR,156.146.40.194/32,DIRECT,no-resolve
  - MATCH,手动切换
